//  RW Gymnasium
// ==============
// Robowaifu Physical Training Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/gymnasium/gymnasium.hpp
// -Declarations of the baseline RW Gymnasium sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::sensei {

//------------------------------------------------------------------------------
/**
 */
class Gymnasium_b : public RW {
 public:
  Gymnasium_b();                                    // default ctor
  explicit Gymnasium_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Gymnasium : public Gymnasium_b {
 public:
  Gymnasium();                                    // default ctor
  explicit Gymnasium(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::curator::sensei

//    --=^=--

// "______"

// rw_curator_lib.v211225
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
