//   RW Moveit
// ==============
// Motion-Scripting Production Tools Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/moveit/moveit.cpp
// -Definitions of the baseline RW Moveit sub-library

#include "incls_all.hpp"

namespace rw::action {

//------------------------------------------------------------------------------
Moveit_b::Moveit_b() : Moveit_b{"moveit_b_obj"} {}

//------------------------------------------------------------------------------
Moveit_b::Moveit_b(std::string const& handle) : RW{handle, Type::Moveit} {
  stamp("Moveit_b()");
}

//------------------------------------------------------------------------------
Moveit::Moveit() : Moveit{"moveit_obj"} {}

//------------------------------------------------------------------------------
Moveit::Moveit(std::string const& handle) : Moveit_b{handle} {
  stamp("Moveit()");
}

}  // namespace rw::action

//    --=^=--

// "______"

// rw_action_lib.v211225
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
