//  RW Dolldrop
// ==============
// External File Transfers Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/dollhouse/dolldrop.cpp
// -Definitions of the baseline RW Dolldrop sub-library

///////
// Dolldrop/Dollnet is meant for network-enabled RW projects only
#if __has_include(<curl_easy.h>)

#include "incls_all.hpp"

namespace rw::dollhouse::net {

//------------------------------------------------------------------------------
Dolldrop_b::Dolldrop_b(Hip const& tag, std::string const& handle)
    : RW_slave{{Type::Bumpmaster, Type::Curator}, handle, Type::Dolldrop} {
  stamp("Dolldrop_b()");

  bind_master(tag);
}

//------------------------------------------------------------------------------
Dolldrop::Dolldrop(Hip const& tag, std::string const& handle)
    : Dolldrop_b{tag, handle} {
  stamp("Dolldrop()");
}

}  // namespace rw::dollhouse::net

#endif  // __has_include(<curl_easy.h>)

//    --=^=--

// "______"

// rw_dolldrop_lib.v211225
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
